std::__future_base::_Result_base Struct Referenceabstract
Inheritance diagram for std::__future_base::_Result_base:
[legend]

## Public Member Functions

| _Result_base (const _Result_base &)=delete
virtual void | _M_destroy ()=0
_Result_base & | operator= (const _Result_base &)=delete

## Public Attributes

exception_ptr | _M_error

## Detailed Description

Base class for results.

Definition at line 200 of file future.

The documentation for this struct was generated from the following file:

- future